package es.us.eii.pfc.jcrbib.data;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * 
 * Clase para la externalizacin de cadenas
 * 
 * 
 * 
 */
public class MessagesDAO {
	private static final String BUNDLE_NAME = "es.us.eii.pfc.jcrbib.data.messagesDAO"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	private MessagesDAO() {
	}

	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
