package es.us.eii.pfc.jcrbib.domain;

/**
 * Clase que representa a las categoras del sistema
 * 
 * 
 * 
 */
public class Tag implements Comparable {
	private String name;

	private int weight;

	public Tag(String name) {
		this.name = name;
		this.weight = 1;
	}

	public String getName() {
		return this.name;
	}

	public int getWeight() {
		return this.weight;
	}

	public void incWeight() {
		this.weight += 1;
	}

	public void redWeight() {
		this.weight -= 1;
	}

	public void setWeight(int weight) {
		this.weight = weight;
	}

	/**
	 * Las etiquetas se comparan segn su nombre
	 * 
	 * @param categora
	 *            con la que comparar
	 */
	public int compareTo(Object o) {
		return this.name.compareTo(((Tag) o).getName());
	}

}
