package es.us.eii.pfc.jcrbib.data;

/**
 * 
 * Implementacin concreta de la factora abstracta, responsable de la creacin
 * de los objetos DAO concretos
 * 
 * 
 * 
 */
public class JcrDAOFactory extends DAOFactory {

	public IUserDAO getUserDAO() {
		return new JcrUserDAO();
	}

	public ITagDAO getTagDAO() {
		return new JcrTagDAO();
	}

	public IMyArticleDAO getMyArticleDAO() {
		return new JcrMyArticleDAO();
	}

}
